package com.finalproject.demo.constants;

public class Constants {
    public static final String AUTHORIZATION_ERROR_MESSAGE = "The requested resource requires authorization";
    public final static String AUTHORIZATION_HEADER_NAME = "Authorization";
    public static final String INVALID_USERNAME = "Invalid username";
    public static final String AUTHENTICATION_FAILURE_MESSAGE = "Wrong username or password.";
    public static final String PHOTO_JUNKIE_ROLE = "Photo Junkie";
    public static final String DEFAULT_RANK = "Junkie";
    public static final String UNAUTHORIZED_ERROR_MESSAGE = "Unauthorized operation";
    public static final String ORGANIZER_ROLE = "Organizer";
    public static final String FINISHED_PHASE = "Finished";
    public static final String PHASE_TWO = "Phase 2";
    public static final String PHASE_ONE = "Phase 1";
    public static final String NOT_STARTED_YET = "Not Started Yet";
    public static final String USER_NOT_JURY = "User %s is not part of the jury of this contest";
    public static final String USER_NOT_CREATOR = "User is not the creator.";
    public static final String CANNOT_REVIEW = "Cannot be reviewed.";
    public static final String USER_IS_ALREADY_PARTICIPATING_ERROR_MESSAGE = "User is already participating in this contest.";
    public static final String USER_JURY_ERROR_MESSAGE = "User who is jury cannot join contest.";
    public static final String CONTEST_MUST_BE_IN_FUTURE_ERROR_MESSAGE = "The starting date of the contest must be in the future.";
    public static final String WISE_AND_BENEVOLENT_PHOTO_DICTATOR_RANK = "Wise and Benevolent Photo Dictator";
    public static final String MASTER_RANK = "Master";
    public static final String USER_HAS_ALREADY_PHOTO_UPLOADED_ERROR_MESSAGE = "User has already photo uploaded.";
    public static final String USER_AUTHORIZATION_ERROR_MESSAGE = "User does not have the required authorization.";
    public static final String USER_REVIEWED_PHOTO_ERROR_MESSAGE = "User has already reviewed photo.";
    public static final String PASSWORD_CONFIRM_ERROR_MESSAGE = "Password confirmation should match password.";
    public static final String NO_LOGGED_IN_USER = "No logged in user.";
    public static final String TYPE_OPEN = "open";
    public static final String USER_PARTICIPATE = "participating";
    public static final String JURY = "jury";
    public static final String CONTEST_JOIN_ERROR_MESSAGE = "Contest must be in Phase 1 in order to join.";
    public static final String ALL = "all";
    public static final String TYPE_INVITATIONAL = "invitational";
    public static final String FIRST_PHASE_QUERY = "firstPhase";
    public static final String SECOND_PHASE_QUERY = "secondPhase";
    public static final int FIRST = 1;
    public static final int SECOND = 2;
    public static final int THIRD = 3;
    public static final int ALONE_POINTS_SECOND = 35;
    public static final int SHARE_POINTS_SECOND = 25;
    public static final int ALONE_POINTS_THIRD = 20;
    public static final int SHARE_POINTS_THIRD = 10;
    public static final int FOURTH = 4;
    public static final int FIRST_PLACE_POINTS_DOUBLE = 75;
    public static final int FIRST_PLACE_POINTS = 50;
    public static final int FIRST_PLACE_POINTS_SHARED = 40;
}
